﻿/*
 * Copyright 2010-2013 Team Robot, Inc.
 * 
 * Author: Peter Coley
 */

using System;
using System.Collections.Generic;
using System.Linq;

namespace TeamRobot.Swtor
{
    public class Boss
    {
        public int Id { get; set; }
        public string Name { get; set; }

        /// <summary>
        /// If specified, custom criteria for determining a kill: key is name of the npc, value is the number of times it needs to die in a fight.
        /// </summary>
        public Dictionary<string, int> DeathCriteria { get; set; }

        /// <summary>
        /// If specified, the individual counts on DeathCriteria are ignored -- instead this many NPCs must die to be considered a kill.
        /// Key is party size, value is death count.
        /// </summary>
        public Dictionary<int, int> DeathCount { get; set; }
    }
}
