﻿/*
 * Copyright 2010-2013 Team Robot, Inc.
 * 
 * Author: Peter Coley
 */

using System;
using System.Collections.Generic;
using System.Linq;

namespace TeamRobot.Swtor
{
    /// <summary>
    /// Simplified version of data about an item.  Bunch of junk is pruned out, and only fields that may be useful for generating item sources or determining if an item is bad are included.
    /// </summary>
    public class Item
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public byte ItemLevel { get; set; }
        public string Moniker { get; set; }
        public Quality? Quality { get; set; }
        public ItemSlot? Slot { get; set; }
        public bool? HasRecipe { get; set; }
        public ModTypeEnum? ModType { get; set; }
        public ItemSlot? ModSlotRestriction { get; set; }

        /// <summary>
        /// Very simple check for a pvp item, basically it is set to true if the item has Expertise on it.
        /// </summary>
        public bool? IsPvpItem { get; set; }

        /// <summary>
        /// True if this is an on-use trinket.
        /// </summary>
        public bool? OnUse { get; set; }
    }
}
